/// <reference types="react" />
declare const secretsDetailItemInjectable: import("@ogre-tools/injectable").Injectable<{
    Component: import("react").FunctionComponent<import("../../../config-secrets").SecretDetailsProps>;
    enabled: import("mobx").IComputedValue<boolean>;
    orderNumber: number;
}, import("../kube-object-detail-item-injection-token").KubeObjectDetailItem, void>;
export default secretsDetailItemInjectable;
